﻿using Infragistics.Win;
using Infragistics.Win.UltraWinTabbedMdi;
using Infragistics.Win.UltraWinTabs;
using Infragistics.Win.UltraWinToolbars;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
    public partial class ParentForm : Form
    {
        private UltraToolbarsManager _toolbars = new UltraToolbarsManager();
        private UltraTabbedMdiManager _mdiManager = new UltraTabbedMdiManager();
        private SingleChildForm _singleChild = new SingleChildForm();

        public ParentForm()
        {
            InitializeComponent();

            IsMdiContainer = true;
            _toolbars.DockWithinContainer = this;
            _toolbars.Ribbon.Visible = true;

            _toolbars.Office2007UICompatibility = false;

            RibbonTab ribbonSingleTab = _toolbars.Ribbon.Tabs.Add("SingleTab");
            ribbonSingleTab.Caption = "Single-Child";
            Text = "Singleton";
            ribbonSingleTab.Key = "SingleChild";

            _mdiManager.MdiParent = this;
            _singleChild.MdiParent = this;
            _singleChild.Show();

            var tab = _mdiManager.TabFromForm(_singleChild);
            tab.Settings.AllowClose = DefaultableBoolean.False;
            tab.Settings.CloseButtonVisibility = TabCloseButtonVisibility.Never;
            Size = new Size(640, 480);
        }
    }
}
