﻿using Infragistics.Win.UltraWinGrid;
using Infragistics.Win.UltraWinToolbars;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
    public partial class SingleChildForm : Form
    {
        private UltraToolbarsManager _toolbars = new UltraToolbarsManager();
        private UltraGrid _grid = new UltraGrid();

        public SingleChildForm()
        {
            InitializeComponent();

            _toolbars.DockWithinContainer = this;
            _toolbars.Ribbon.Visible = true;
            var tab = _toolbars.Ribbon.Tabs.Add("SingleTab");
            tab.Caption = "Single-Child";
            Text = "Singleton";

            tab.Key = "SingleChild";
            _toolbars.Office2007UICompatibility = false;


            _grid.DataSource = Directory.GetFiles(Application.StartupPath);
            _grid.Dock = DockStyle.Fill;
            _grid.DoubleClickRow += GridOnDoubleClickRow;
            _grid.DisplayLayout.Override.CellClickAction = CellClickAction.RowSelect;
            _grid.DisplayLayout.AutoFitStyle = AutoFitStyle.ExtendLastColumn;
            Controls.Add(_grid);
        }

        private void GridOnDoubleClickRow(object sender, DoubleClickRowEventArgs e)
        {
            var child = new MultiChildForm
            {
                MdiParent = ParentForm,
                Text = Path.GetFileName((string)e.Row.ListObject)
            };
            child.Show();
        }
    }
}
